Subject: Re: [PATCH 2/2] Using LP firmware for taking advantage of the low-power capabilities.

From: "Arend van Spriel" <arend-dY08KVG/lbpWk0Htik3J/[email-masked]>
Date: Wed, 19 Sep 2012 21:33:02 +0200

On 09/19/2012 08:54 PM, Jarl Friis wrote:
>> Is the addition of your copyright to the driver
>> >warranted by this change?
> As far as I understand the copyright law: Yes, but I'm not an expert.
> Neither am I 100% sure what you mean.

You add your name to the copy notice of the file so you claim it for the 
entire file.

>> >For example, I have made much larger contributions
>> >to b43 over the years before I started doing reverse-engineering on this
>> >driver, but I never added my copyright.
> I suggest you do.

Typically, the names you see there are and/or were b43 maintainers.

>> >Your "Signed-off-by" implies
>> >copyright for the patch.
> The fact that I authored the patch implies copyright (even without
> Signed-off-by)
>
> Jarl

You can indeed claim it for your patch, but I think not beyond that. But 
I am no lawyer either so .....pffff.

Gr. AvS

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html